AudioPlaybackThread.h File Reference

Source file for AudioPlaybackThread class. More...

`#include "../ReaderBase.h"`
`#include "../RendererBase.h"`
`#include "../AudioReaderSource.h"`
`#include "../AudioDeviceInfo.h"`
`#include "../Settings.h"`

Go to the source code of this file.

## Classes

class | openshot::AudioDeviceManagerSingleton
| Singleton wrapper for AudioDeviceManager (to prevent multiple instances). More...
class | openshot::AudioPlaybackThread
| The audio playback thread. More...
struct | openshot::SafeTimeSliceThread

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Source file for AudioPlaybackThread class.

Author
  Duzy Chan code@.nosp@m.duzy.nosp@m..info
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file AudioPlaybackThread.h.